       LIST

;==========================================================================
; Build date : Nov 08 2022
;  HCIDE HC15P121B1 processor include
; 
;  (c) Copyright 2012-2022 Holychip Technology, All rights reserved
;==========================================================================

        NOLIST

;==========================================================================
;  This header file defines configurations, registers, and other useful
;  bits of information for the HC15P121B1 microcontroller.  These names
;  are taken to match the data sheets as closely as possible.
;
;  Note that the processor must be selected before this file is included.
;  The processor may be selected the following ways:
;
;       1. Command line switch:
;       2. LIST directive in the source file
;               LIST   P=HC15P121B1
;       3. Processor Type entry in the HCIDE full-screen interface
;       4. Setting the processor in the HCIDE Project Dialog
;==========================================================================

;==========================================================================
;
;       Verify Processor
;
;==========================================================================
        IFNDEF __HC15P121B1
           MESSG "Processor-header file mismatch.  Verify selected processor."
        ENDIF



;==========================================================================
;
;       Register Definitions
;
;==========================================================================

W                EQU  H'0000'
F                EQU  H'0001'

;----- Register Files -----------------------------------------------------

;-----Bank0------------------
INDF            EQU     H'0000'
T0              EQU     H'0001'
PCL             EQU     H'0002'
STATUS		EQU     H'0003'
FSR             EQU     H'0004'

PORTB           EQU     H'0006'
LVDCR	        EQU     H'0008'	
IOCB            EQU     H'0009'

PCLATH          EQU     H'000A'
PDCON           EQU     H'000B'
ODCON	        EQU     H'000C'
PHCON	        EQU     H'000D'
INTECON	        EQU     H'000E'

OPTION	        EQU     H'0041'
TRISB		EQU     H'0046'
	
T1CR_AUXR       EQU     H'004B'
T1CON	        EQU     H'004C'	
	
T1              EQU     H'004D'	
T1LOAD          EQU     H'004E'	
PWM0P	        EQU     H'004F'


;----- STATUS Bits --------------------------------------------------------
RST                    	EQU     H'0007'
GP1                     EQU     H'0006'
GP0                     EQU     H'0005' 
TO                      EQU     H'0004'
PD                      EQU     H'0003'
Z                       EQU     H'0002'
DC                      EQU     H'0001'
C                       EQU     H'0000'

;----- PORTB Bits ----------------------------------------------------------
PORTB5                  EQU     H'0005'
PORTB4                  EQU     H'0004'
PORTB3                  EQU     H'0003'
PORTB2                  EQU     H'0002'
PORTB1                  EQU     H'0001'
PORTB0                  EQU     H'0000'

;----- LVDCR Bits ----------------------------------------------------------
LVDF                    EQU     H'0007'
LVDSEL3                  EQU     H'0004'
LVDSEL2                  EQU     H'0003'
LVDSEL1                  EQU     H'0002'
LVDSEL0                  EQU     H'0001'
LVDEN                    EQU     H'0000'

;----- IOCB Bits ----------------------------------------------------------
IOCB5	                EQU     H'0005'
IOCB4	                EQU     H'0004'
IOCB3                	EQU     H'0003'
IOCB2	                EQU     H'0002'
IOCB1	                EQU     H'0001'
IOCB0	                EQU     H'0000'

;----- PDCON Bits ----------------------------------------------------------
PDB5                    EQU     H'0005'
PDB4                  	EQU     H'0004'
PDB3                    EQU     H'0003'                    
PDB2                    EQU     H'0002'
PDB1                    EQU     H'0001'
PDB0                    EQU     H'0000'

;----- ODCON Bits ----------------------------------------------------------
ODB5                    EQU     H'0005'
ODB4                    EQU     H'0004'
ODB3                    EQU     H'0003'
ODB2                    EQU     H'0002'
ODB1                    EQU     H'0001'           
ODB0                    EQU     H'0000'
;----- PHCON Bits ---------------------------------------------------------- 
PHB5                   EQU     H'0005'  
PHB4                   EQU     H'0004'  
PHB3                   EQU     H'0003'  
PHB2                   EQU     H'0002'  
PHB1                   EQU     H'0001'  
PHB0                   EQU     H'0000' 
;----- INTECON Bits --------------------------------------------------------
GIE                     EQU     H'0007'
INTF                    EQU     H'0005'
PBIF                    EQU     H'0004'
T0IF                    EQU     H'0003'
INTE                    EQU     H'0002'
PBIE                    EQU     H'0001'
T0IE                    EQU     H'0000'
;----- OPTION Bits --------------------------------------------------------
WDTEN                  EQU     H'0007'
INTEDG                  EQU     H'0006'
T0CS                    EQU     H'0005'
T0SE                    EQU     H'0004'
PSA                     EQU     H'0003'
PS2                     EQU     H'0002'
PS1                     EQU     H'0001'
PS0                     EQU     H'0000'  
;----- TRISB Bits ----------------------------------------------------------
TRISB5                  EQU     H'0005'
TRISB4                  EQU     H'0004'
TRISB3                  EQU     H'0003'
TRISB2                  EQU     H'0002'
TRISB1                  EQU     H'0001'
TRISB0                  EQU     H'0000'
;----- T1CR_AUXR Bits ----------------------------------------------------------
T0CK                  EQU     H'0007'
POR                     EQU     H'0004'
BOR                     EQU     H'0003'
BOREN                   EQU     H'0002'
T1IE                    EQU     H'0001'
T1IF                    EQU     H'0000'
;----- T1CON Bits ----------------------------------------------------------
T1EN                    EQU     H'0007'
PWM0E                   EQU     H'0006'
T1CK1                   EQU     H'0004'
T1CK0                   EQU     H'0003'
T1PR2                   EQU     H'0002'
T1PR1                   EQU     H'0001'
T1PR0                   EQU     H'0000'


;==========================================================================
;
;       RAM Definitions
;
;==========================================================================
       __MAXRAM  H'005b'
      
       __BADRAM  H'0040' 
       __BADRAM  H'0042'-H'0044'
       
       

     
;==========================================================================
;
;       Configuration Bits
;
;   NAME            Address
;   CONFIG            2000h
;
;==========================================================================

; The following is an assignment of address values for all of the
; configuration registers for the purpose of table reads
_CONFIG          EQU  H'2000'



;----- CONFIG Options --------------------------------------------------
_FOSC_LP             EQU  H'3CFF'    ; LP oscillator: Low-power crystal on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_LP_OSC              EQU  H'3CFF'    ; LP oscillator: Low-power crystal on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_FOSC_XT             EQU  H'3DFF'    ; XT oscillator: Crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_XT_OSC              EQU  H'3DFF'    ; XT oscillator: Crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_FOSC_HS             EQU  H'3FFD'    ; HS oscillator: High-speed crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_HS_OSC              EQU  H'3FFD'    ; HS oscillator: High-speed crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
;_FOSC_EC             EQU  H'3FFD'    ; EC: I/O function on RA4/OSC2/CLKOUT pin, CLKIN on RA5/OSC1/CLKIN
;_EC_OSC              EQU  H'3FFB'    ; EC: I/O function on RA4/OSC2/CLKOUT pin, CLKIN on RA5/OSC1/CLKIN
_FOSC_INTRCIO        EQU  H'3FFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
_INTRC_OSC_NOCLKOUT  EQU  H'3FFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
_INTOSCIO            EQU  H'3FFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_FOSC_INTRCCLK       EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_INTRC_OSC_CLKOUT    EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_INTOSC              EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_FOSC_EXTRCIO        EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC_OSC_NOCLKOUT  EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRCIO             EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_FOSC_EXTRCCLK       EQU  H'3FFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC_OSC_CLKOUT    EQU  H'3FFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC               EQU  H'3FFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN

_WDTE_OFF            EQU  H'3FFB'    ; WDT disabled and can be enabled by SWDTEN bit of the WDTCON register
_WDT_OFF             EQU  H'3FFB'    ; WDT disabled and can be enabled by SWDTEN bit of the WDTCON register
_WDTE_ON             EQU  H'3FFF'    ; WDT enabled
_WDT_ON              EQU  H'3FFF'    ; WDT enabled

;_PWRTE_ON            EQU  H'3FEF'    ; PWRT enabled
;_PWRTE_OFF           EQU  H'3FFF'    ; PWRT disabled

;_MCLRE_OFF           EQU  H'3FDF'    ; MCLR pin function is digital input, MCLR internally tied to VDD
;_MCLRE_ON            EQU  H'3FFF'    ; MCLR pin function is MCLR

_CP_ON               EQU  H'3FEF'    ; Program memory code protection is enabled
_CP_OFF              EQU  H'3FFF'    ; Program memory code protection is disabled

;_CPD_ON              EQU  H'3F7F'    ; Data memory code protection is enabled
;_CPD_OFF             EQU  H'3FFF'    ; Data memory code protection is disabled

;_BOREN_OFF           EQU  H'3CFF'    ; BOR disabled
;_BOD_OFF             EQU  H'3CFF'    ; BOR disabled
;_BOR_OFF             EQU  H'3CFF'    ; BOR disabled
;_BOREN_SBODEN        EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOD_SBODEN          EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOR_SBODEN          EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOREN_NSLEEP        EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOD_NSLEEP          EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOR_NSLEEP          EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOREN_ON            EQU  H'3FFF'    ; BOR enabled
;_BOD_ON              EQU  H'3FFF'    ; BOR enabled
;_BOR_ON              EQU  H'3FFF'    ; BOR enabled

;_IESO_OFF            EQU  H'3BFF'    ; Internal External Switchover mode is disabled
;_IESO_ON             EQU  H'3FFF'    ; Internal External Switchover mode is enabled

;_FCMEN_OFF           EQU  H'37FF'    ; Fail-Safe Clock Monitor is disabled
;_FCMEN_ON            EQU  H'3FFF'    ; Fail-Safe Clock Monitor is enabled

;----- DEVID Equates --------------------------------------------------
;_DEVID1          EQU  H'2006'

;----- IDLOC Equates --------------------------------------------------
;_IDLOC0          EQU  H'2000'
;_IDLOC1          EQU  H'2001'
;_IDLOC2          EQU  H'2002'
;_IDLOC3          EQU  H'2003'

       
        LIST