       LIST

;==========================================================================
; Build date : March 02 2018
;  HCIDE HC18P127L processor include
; 
;  (c) Copyright 2012-2018 Holychip Technology, All rights reserved
;==========================================================================

        NOLIST

;==========================================================================
;  This header file defines configurations, registers, and other useful
;  bits of information for the HC18P127L microcontroller.  These names
;  are taken to match the data sheets as closely as possible.
;
;  Note that the processor must be selected before this file is included.
;  The processor may be selected the following ways:
;
;       1. Command line switch:
;       2. LIST directive in the source file
;               LIST   P=HC18P127L
;       3. Processor Type entry in the HC-IDE full-screen interface
;       4. Setting the processor in the HC-IDE Project Dialog
;==========================================================================

;==========================================================================
;
;       Verify Processor
;
;==========================================================================
        IFNDEF __18P127L
           MESSG "Processor-header file mismatch.  Verify selected processor."
        ENDIF
;==========================================================================
;
;       Register Definitions
;
;==========================================================================

W			EQU     H'0000'
F     		EQU     H'0001'

;----- Register Files------------------------------------------------------
;BANK0
INDF                    EQU     H'0000'
T0                      EQU     H'0001'
PCL                     EQU     H'0002'
STATUS                  EQU     H'0003'
FSR                     EQU     H'0004'
PORTA                   EQU     H'0005'
PORTB                   EQU     H'0006'
PDCONA			EQU     H'0007'
PDCONB			EQU     H'0008'
INTFLAG			EQU	H'0009'
PCLATH                  EQU     H'000A'
INTCON                  EQU     H'000B'
IOCA	                EQU     H'000C'
T1L	                EQU     H'000E'
T1H	                EQU     H'000F'
T1CON	               	EQU     H'0010'
VTEPH0	               	EQU     H'0011'
VTEPL0	               	EQU     H'0012'
WPUB	  	       	EQU     H'0013'
IOCB			EQU     H'0014'
PWM3C		        EQU     H'0015'
PWM3P		        EQU     H'0016'	
PWM3D1	                EQU     H'0017'
PWM3D2			EQU	H'0018'
PWM3D3			EQU	H'0019'
LDOCON			EQU	H'001A'
OPCON		        EQU     H'001B'		
OP1CON1	                EQU     H'001C'	
OP1CON2	                EQU     H'001D'	
ADRESH	                EQU     H'001E'
ADCON0	                EQU     H'001F'

;--------------------------------------------------------------------------
;BANK1
;INDF                   EQU     H'0080'
OPTION                  EQU     H'0081'
;PCL		        EQU     H'0082'
;STATUS                 EQU     H'0083'
;FSR		        EQU     H'0084'
TRISA	                EQU     H'0085'
TRISB                   EQU     H'0086'
ADCKCS                  EQU     H'0087'
ANSELB                  EQU     H'0088'
OPINT                   EQU     H'0089'
;PCLATH                 EQU     H'008A'
;INTCON                 EQU     H'008B'
OP2CON1                 EQU     H'008C'
OP2CON2                 EQU     H'008D'
PCON                    EQU     H'008E'
OP2CON3                 EQU     H'008F'
OSCCON                  EQU     H'0090'	
OP2DBC                  EQU     H'0091'
WPUA	       		EQU     H'0093'
VTEPH1	       		EQU     H'0094'
VTEPL1	       		EQU     H'0095'
ANSEL	               	EQU     H'009D'
ADRESL                  EQU     H'009E'
ADCON1                  EQU     H'009F'	

;----- STATUS Bits --------------------------------------------------------

RP0                     EQU     H'0005' 
TO                      EQU     H'0004'
PD                      EQU     H'0003'
Z                       EQU     H'0002'
DC                      EQU     H'0001'
C                       EQU     H'0000'

;----- PORTA Bits --------------------------------------------------------
PORTA7                  EQU     H'0007' 
PORTA6                  EQU     H'0006'
PORTA4                  EQU     H'0004'
PORTA3                  EQU     H'0003'
PORTA2                  EQU     H'0002'
PORTA1                  EQU     H'0001'
PORTA0			EQU     H'0000'

;----- PORTB Bits --------------------------------------------------------
PORTB7                  EQU     H'0007' 
PORTB6                  EQU     H'0006'
PORTB4                  EQU     H'0004'
PORTB3                  EQU     H'0003'
PORTB2                  EQU     H'0002'
PORTB1                  EQU     H'0001'
PORTB0			EQU     H'0000'

;----- PDCONA Bits --------------------------------------------------------
PDA7    	        EQU     H'0007' 
PDA6                  	EQU     H'0006'
PDA4                  	EQU     H'0004'
PDA3                  	EQU     H'0003'
PDA2                  	EQU     H'0002'
PDA1                  	EQU     H'0001'
PDA0			EQU     H'0000'

;----- PDCONB Bits --------------------------------------------------------
PDB7    	        EQU     H'0007' 
PDB6                  	EQU     H'0006'
PDB4                  	EQU     H'0004'
PDB3                  	EQU     H'0003'
PDB2                  	EQU     H'0002'
PDB1                  	EQU     H'0001'
PDB0			EQU     H'0000'

;----- INTFLAG Bits --------------------------------------------------------
ADIF			EQU     H'0005'
INTF                    EQU     H'0004'
PAIF                    EQU     H'0003'
PBIF                  	EQU     H'0002'
T1IF                    EQU     H'0001'
T0IF	                EQU     H'0000'

;----- INTCON Bits --------------------------------------------------------
GIE                     EQU     H'0007'
PEIE			EQU     H'0006'
INTE                    EQU     H'0004'
ADIE                    EQU     H'0003'
PORIE                  	EQU     H'0002'
T1IE                    EQU     H'0001'
T0IE	                EQU     H'0000'

;----- IOCA Bits --------------------------------------------------------
IOCA7    	        EQU     H'0007' 
IOCA6                  	EQU     H'0006'
IOCA4                  	EQU     H'0004'
IOCA3                  	EQU     H'0003'
IOCA2                  	EQU     H'0002'
IOCA1                  	EQU     H'0001'
IOCA0			EQU     H'0000'

;----- T1CON Bits ----------------------------------------------------------
T1CS1                   EQU     H'0007'
T1CS0                   EQU     H'0006'
T1CKPS1                 EQU     H'0005'
T1CKPS0                 EQU     H'0004'
T1ON                    EQU     H'0000'

;----- WPUB Bits --------------------------------------------------------
WPUB7    	        EQU     H'0007' 
WPUB6                  	EQU     H'0006'
WPUB4                   EQU     H'0004'
WPUB3                  	EQU     H'0003'
WPUB2                  	EQU     H'0002'
WPUB1                  	EQU     H'0001'
WPUB0			EQU     H'0000'

;----- IOCB Bits --------------------------------------------------------
IOCB7    	        EQU     H'0007' 
IOCB6                  	EQU     H'0006'
IOCB4                  	EQU     H'0004'
IOCB3                  	EQU     H'0003'
IOCB2                  	EQU     H'0002'
IOCB1                  	EQU     H'0001'
IOCB0			EQU     H'0000'

;----- PWM3C Bits --------------------------------------------------------
PWM3IE   	        EQU     H'0007' 
PWM3IF                 	EQU     H'0006'
PWM3CK1                	EQU     H'0005'
PWM3CK0                 EQU     H'0004'
PWM32_OEN              	EQU     H'0003'
PWM31_OEN               EQU     H'0002'
PWM30_OEN		EQU     H'0001'
PWM3_EN			EQU     H'0000'

;----- LDOCON Bits --------------------------------------------------------
HIPEN   	        EQU     H'0004' 
LDCEN                 	EQU     H'0003'
VLDOSEL2               	EQU     H'0002'
VLDOSEL1                EQU     H'0001'
VLDOSEL0                EQU     H'0000'

;----- OPCON Bits --------------------------------------------------------
PSW   	                EQU     H'0007' 
OPHIPEN               	EQU     H'0006'

;----- OP1CON1 Bits --------------------------------------------------------
OPOUT1PORTSEL           EQU     H'0007' 
OP1EN		        EQU     H'0006'
FAST1			EQU     H'0005'
R1SEL4			EQU     H'0004'
R1SEL3			EQU     H'0003'
R1SEL2			EQU     H'0002'
R1SEL1			EQU     H'0001'
R1SEL0			EQU     H'0000'

;----- OP1CON2 Bits --------------------------------------------------------
VBGSEL1			EQU     H'0007' 
VBGCAPSEL              	EQU     H'0006'
VBESEL1			EQU     H'0005'
OPINP1SEL1		EQU     H'0004'
OP25VLDOSEL1		EQU     H'0003'
OP5VLDOSEL1		EQU     H'0002'

;----- ADCON0 Bits ----------------------------------------------------------
BGON			EQU	H'0006'
CHS3			EQU	H'0005'
CHS2			EQU	H'0004'
CHS1			EQU	H'0003'
CHS0			EQU	H'0002'
ADON			EQU	H'0001'
ADEN			EQU	H'0000'

;BANK1
;----- OPTION Bits --------------------------------------------------------
INTEDG                  EQU     H'0006'
T0CS1                   EQU     H'0005'
T0CS0                   EQU     H'0004'
PSA                     EQU     H'0003'
PS2                     EQU     H'0002'
PS1                     EQU     H'0001'
PS0                     EQU     H'0000'

;----- TRISA Bits --------------------------------------------------------
TRISA7                  EQU     H'0007' 
TRISA6                  EQU     H'0006'
TRISA4                  EQU     H'0004'
TRISA3                  EQU     H'0003'
TRISA2                  EQU     H'0002'
TRISA1                  EQU     H'0001'
TRISA0			EQU     H'0000'

;----- TRISB Bits --------------------------------------------------------
TRISB7    	        EQU     H'0007' 
TRISB6                  EQU     H'0006'
TRISB4                  EQU     H'0004'
TRISB3                  EQU     H'0003'
TRISB2                  EQU     H'0002'
TRISB1                  EQU     H'0001'
TRISB0			EQU     H'0000'        

;----- ADCKCS Bits ----------------------------------------------------------
ADCKCS2                 EQU     H'0002'
ADCKCS1                 EQU     H'0001'
ADCKCS0                 EQU     H'0000'

;----- ANSELB Bits ----------------------------------------------------------
ANSELB3                 EQU     H'0003'
ANSELB0                 EQU     H'0000'

;----- OPINT Bits ----------------------------------------------------------
OP2IFEN                 EQU     H'0003'
OP2IF                   EQU     H'0002'
OP1IFEN                 EQU     H'0001'
OP1IF                   EQU     H'0000'

;----- INTCON Bits ----------------------------------------------------------
GIE                	EQU     H'0007'
PEIE                    EQU     H'0006'
INTE                    EQU     H'0004'
ADIE			EQU     H'0003'
PORTIE			EQU     H'0002'
T1IE			EQU     H'0001'
T0IE			EQU     H'0000'

;-----OP2CON1 Bits ----------------------------------------------------------
OPOUT2PORTSEL           EQU     H'0007'
OP2EN	                EQU     H'0006'
FAST2	                EQU     H'0005'
R2SEL4                	EQU     H'0004'
R2SEL3                 	EQU     H'0003'
R2SEL2 	                EQU     H'0002'
R2SEL1                 	EQU     H'0001'
R2SEL0 	                EQU     H'0000'

;----- OP2CON2 Bits ----------------------------------------------------------
VBGSEL2	                EQU     H'0007'
OPINP2SEL	        EQU     H'0006'
VBESEL2	                EQU     H'0005'
OPINP1SEL2	        EQU     H'0004'
OP25VLDOSEL2            EQU     H'0003'
OP5VLDOSEL2	        EQU     H'0002'

;----- PCON Bits ----------------------------------------------------------
LVD2EN                  EQU     H'0007'
LVD1EN                  EQU     H'0006'
WDTENS                  EQU     H'0004'
LVD2F                   EQU     H'0003'
LVD1F                   EQU     H'0002'
POR			EQU     H'0001'
BOR			EQU     H'0000'

;-----OP2CON3 Bits ----------------------------------------------------------
OP1TOP2SEL	        EQU     H'0007'
PORTTOP2SEL            	EQU     H'0006'
OP2VOS4	                EQU     H'0004'
OP2VOS3                	EQU     H'0003'
OP2VOS2                	EQU     H'0002'
OP2VOS1                 EQU     H'0001'
OP2VOS0                	EQU     H'0000'

;-----OSCCON Bits ----------------------------------------------------------
T0OSCEN			EQU     H'0007'
HXEN 	                EQU     H'0001'
SCS                 	EQU     H'0000'

;----- WPUA Bits --------------------------------------------------------
WPUA7    	        EQU     H'0007' 
WPUA6                  	EQU     H'0006'
WPUA4                  	EQU     H'0004'
WPUA3                  	EQU     H'0003'
WPUA2                  	EQU     H'0002'
WPUA1                  	EQU     H'0001'
WPUA0			EQU     H'0000'

;----- ANSEL Bits --------------------------------------------------------
ANSEL7    	        EQU     H'0007' 
ANSEL6                  EQU     H'0006'
ANSEL4                  EQU     H'0004'
ANSEL3                  EQU     H'0003'
ANSEL2                  EQU     H'0002'
ANSEL1                  EQU     H'0001'
ANSEL0			EQU     H'0000'

;----- ADCON1 Bits --------------------------------------------------------
ADFM    	        EQU     H'0007' 
ADCS2	                EQU     H'0006'
ADCS1	                EQU     H'0005'
ADCS0	                EQU     H'0004'
VHS2	                EQU     H'0003'
VHS1 	                EQU     H'0002'
VHS0	                EQU     H'0001'
ADREF 			EQU     H'0000'

;==========================================================================
;
;       RAM Definitions
;
;==========================================================================
       __MAXRAM  H'00FF'
       __BADRAM  H'000D'
       __BADRAM  H'0096'-H'009C'    
       
       

     
;==========================================================================
;
;       Configuration Bits
;
;   NAME            Address
;   CONFIG            2000h
;
;==========================================================================

; The following is an assignment of address values for all of the
; configuration registers for the purpose of table reads
_CONFIG          EQU  H'2000'


;----- CONFIG Options --------------------------------------------------
_FOSC_LP             EQU  H'3CFF'    ; LP oscillator: Low-power crystal on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_LP_OSC              EQU  H'3CFF'    ; LP oscillator: Low-power crystal on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_FOSC_XT             EQU  H'3DFF'    ; XT oscillator: Crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_XT_OSC              EQU  H'3DFF'    ; XT oscillator: Crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_FOSC_HS             EQU  H'3FFD'    ; HS oscillator: High-speed crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_HS_OSC              EQU  H'3FFD'    ; HS oscillator: High-speed crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
;_FOSC_EC             EQU  H'3FFD'    ; EC: I/O function on RA4/OSC2/CLKOUT pin, CLKIN on RA5/OSC1/CLKIN
;_EC_OSC              EQU  H'3FFB'    ; EC: I/O function on RA4/OSC2/CLKOUT pin, CLKIN on RA5/OSC1/CLKIN
_FOSC_INTRCIO        EQU  H'3FFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
_INTRC_OSC_NOCLKOUT  EQU  H'3FFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
_INTOSCIO            EQU  H'3FFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_FOSC_INTRCCLK       EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_INTRC_OSC_CLKOUT    EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_INTOSC              EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_FOSC_EXTRCIO        EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC_OSC_NOCLKOUT  EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRCIO             EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_FOSC_EXTRCCLK       EQU  H'3FFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC_OSC_CLKOUT    EQU  H'3FFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC               EQU  H'3FFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN

_WDTE_OFF            EQU  H'3FFB'    ; WDT disabled and can be enabled by SWDTEN bit of the WDTCON register
_WDT_OFF             EQU  H'3FFB'    ; WDT disabled and can be enabled by SWDTEN bit of the WDTCON register
_WDTE_ON             EQU  H'3FFF'    ; WDT enabled
_WDT_ON              EQU  H'3FFF'    ; WDT enabled

;_PWRTE_ON            EQU  H'3FEF'    ; PWRT enabled
;_PWRTE_OFF           EQU  H'3FFF'    ; PWRT disabled

;_MCLRE_OFF           EQU  H'3FDF'    ; MCLR pin function is digital input, MCLR internally tied to VDD
;_MCLRE_ON            EQU  H'3FFF'    ; MCLR pin function is MCLR

_CP_ON               EQU  H'3FEF'    ; Program memory code protection is enabled
_CP_OFF              EQU  H'3FFF'    ; Program memory code protection is disabled

;_CPD_ON              EQU  H'3F7F'    ; Data memory code protection is enabled
;_CPD_OFF             EQU  H'3FFF'    ; Data memory code protection is disabled

;_BOREN_OFF           EQU  H'3CFF'    ; BOR disabled
;_BOD_OFF             EQU  H'3CFF'    ; BOR disabled
;_BOR_OFF             EQU  H'3CFF'    ; BOR disabled
;_BOREN_SBODEN        EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOD_SBODEN          EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOR_SBODEN          EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOREN_NSLEEP        EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOD_NSLEEP          EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOR_NSLEEP          EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOREN_ON            EQU  H'3FFF'    ; BOR enabled
;_BOD_ON              EQU  H'3FFF'    ; BOR enabled
;_BOR_ON              EQU  H'3FFF'    ; BOR enabled

;_IESO_OFF            EQU  H'3BFF'    ; Internal External Switchover mode is disabled
;_IESO_ON             EQU  H'3FFF'    ; Internal External Switchover mode is enabled

;_FCMEN_OFF           EQU  H'37FF'    ; Fail-Safe Clock Monitor is disabled
;_FCMEN_ON            EQU  H'3FFF'    ; Fail-Safe Clock Monitor is enabled

;----- DEVID Equates --------------------------------------------------
;_DEVID1          EQU  H'2006'

;----- IDLOC Equates --------------------------------------------------
;_IDLOC0          EQU  H'2000'
;_IDLOC1          EQU  H'2001'
;_IDLOC2          EQU  H'2002'
;_IDLOC3          EQU  H'2003'

       
        LIST

;==========================================================================
;
; File End
;
;==========================================================================